org.apache.cassandra.cql3

## Class IndexName

- java.lang.Object
- - org.apache.cassandra.cql3.IndexName

    public final class IndexName
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`IndexName()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`CFName` `getCfName()`
`java.lang.String` `getIdx()`
`java.lang.String` `getKeyspace()`
`boolean` `hasKeyspace()` Checks if the keyspace is specified.
`void` `setIndex(java.lang.String idx, boolean keepCase)`
`void` `setKeyspace(java.lang.String ks, boolean keepCase)` Sets the keyspace.
`protected static java.lang.String` `toInternalName(java.lang.String name, boolean keepCase)` Converts the specified name into the name used internally.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IndexName

    public IndexName()

### Method Detail

#### setIndex

    public void setIndex(java.lang.String idx,
                         boolean keepCase)

#### getIdx

    public java.lang.String getIdx()

#### getCfName

    public CFName getCfName()

#### toString

    public java.lang.String toString()

#### setKeyspace

    public final void setKeyspace(java.lang.String ks,
                                  boolean keepCase)

Sets the keyspace.

Parameters:
  `ks` - the keyspace name
  `keepCase` - `true` if the case must be kept, `false` otherwise.

#### hasKeyspace

    public final boolean hasKeyspace()

Checks if the keyspace is specified.

Returns:
  `true` if the keyspace is specified, `false` otherwise.

#### getKeyspace

    public final java.lang.String getKeyspace()

#### toInternalName

    protected static java.lang.String toInternalName(java.lang.String name,
                                                     boolean keepCase)

Converts the specified name into the name used internally.

Parameters:
  `name` - the name
  `keepCase` - `true` if the case must be kept, `false` otherwise.
Returns:
  the name used internally.